/**
 *
 */
package de.intevation.gnv.artifacts.services.requestobjects;

import java.util.Collection;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultFIS implements FIS {

    
    private String id = null;
    
    private Collection<Parameter> parameter = null;

    public DefaultFIS(String id){
        super();
        this.id = id;
    }
    /**
     * Constructor
     * @param id
     * @param parameter
     */
    public DefaultFIS(String id, Collection<Parameter> parameter) {
        this(id);
        this.parameter = parameter;
    }

    /**
     * @see de.intevation.gnv.artifacts.services.requestobjects.FIS#getID()
     */
    public String getID() {
        return this.id;
    }

    /**
     * @see de.intevation.gnv.artifacts.services.requestobjects.FIS#getParameter()
     */
    public Collection<Parameter> getParameter() {
        return this.parameter;
    }

    @Override
    public boolean equals(Object arg0) {
        boolean returnValue = false;
        if (arg0 instanceof FIS){
            returnValue = this.id.equals(((FIS)arg0).getID());
        }
        return returnValue;
    }

}
